Export (0) Print
Expand All

IsWindowsVistaSP2OrGreater function

Indicates if the current OS version matches, or is greater than, the Windows Vista with Service Pack 2 (SP2) version.

Syntax


BOOL WINAPI IsWindowsVistaSP2OrGreater(void);

Parameters

This function has no parameters.

Return value

True if the current OS version matches, or is greater than, the Windows Vista with SP2 version; otherwise, false.

Remarks

This function does not differentiate between client and server releases. It will return true if the current OS version number is equal to or higher than the version of the client named in the call. For example, a call to IsWindowsXPSP3OrGreater will return true on Windows Server 2008. Applications that need to distinguish between server and client versions of Windows should call IsWindowsServer.

For situations where a Windows Server version number isn't shared with a Windows client release, you can use IsWindowsVersionOrGreater to confirm.

Examples

The inline functions defined in the VersionHelpers.h header file let you verify the operating system version by returning a Boolean value when testing for a version of Windows.

For example, if your application requires Windows Vista with SP2 or later, use the following test.


#include <VersionHelpers.h>
…
    if (!IsWindowsVistaSP2OrGreater())
    {
       MessageBox(NULL, "You need at least Windows Vista with SP2", "Version Not Supported", MB_OK);
    }


Requirements

Minimum supported client

Windows 2000 Professional [desktop apps only]

Minimum supported server

Windows 2000 Server [desktop apps only]

Header

VersionHelpers.h (include Windows.h)

Library

Kernel32.lib;
Ntdll.lib

DLL

Kernel32.dll;
Ntdll.dll

See also

IsWindowsXPOrGreater
IsWindowsXPSP1OrGreater
IsWindowsXPSP2OrGreater
IsWindowsXPSP3OrGreater
IsWindowsVistaOrGreater
IsWindowsVistaSP1OrGreater
IsWindows7OrGreater
IsWindows7SP1OrGreater
IsWindows8OrGreater
IsWindows8Point1OrGreater
IsWindowsServer

 

 

Community Additions

ADD
Show:
© 2014 Microsoft